### Constructor

# Gtk.ColumnView.new

#### Declaration [src]

    GtkWidget*
    gtk_column_view_new (
      GtkSelectionModel* model
    )

#### Description [src]

Creates a new `GtkColumnView`.

You most likely want to call `gtk_column_view_append_column()` to add columns next.

#### Parameters

`model` | `GtkSelectionModel`
| the list model to use, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkColumnView`
Ownership is not transferred to the caller